Reference · API Reference

Cards & Wallets API Endpoints

Details of API endpoints relating to Cards & Wallets.

Primary Transactions

Endpoints for creating primary payment, payout, and verification transactions for an installation

POST/acceptor/rest/transactions/{instId}/paymentProcess a payment#
description:

Creates a primary payment transaction for the given installation

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryInstallation identifier
}
request body:
shared schema advancedPayments/primary-manage-rest-request
{
  • sessionId
    stringYour reference for the Customer's session.
  • locale
    stringThe ISO-639-1 code for your Customer's locale.
}

Responses

201Payment processed
response body:
shared schema advancedPayments/transaction-response-resource
{
  • any
    array (object items)
  • trace
    string
}
207Payment declined
response body:
shared schema advancedPayments/transaction-response-resource
{
  • any
    array (object items)
  • trace
    string
}
400Invalid request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
403Forbidden
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
500Internal Server Error
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
POST/acceptor/rest/transactions/{instId}/payoutProcess a payout#
description:

Creates a payout transaction for the given installation

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryInstallation identifier
}
request body:
shared schema advancedPayments/primary-manage-rest-request
{
  • sessionId
    stringYour reference for the Customer's session.
  • locale
    stringThe ISO-639-1 code for your Customer's locale.
}

Responses

201Payout processed
response body:
shared schema advancedPayments/transaction-response-resource
{
  • any
    array (object items)
  • trace
    string
}
400Invalid request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
403Forbidden
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
500Internal Server Error
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
POST/acceptor/rest/transactions/{instId}/verifyProcess a verification#
description:

Creates an account verification transaction for the given installation

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryInstallation identifier
}
request body:
shared schema advancedPayments/primary-manage-rest-request
{
  • sessionId
    stringYour reference for the Customer's session.
  • locale
    stringThe ISO-639-1 code for your Customer's locale.
}

Responses

201Verification processed
response body:
shared schema advancedPayments/transaction-response-resource
{
  • any
    array (object items)
  • trace
    string
}
400Invalid request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
403Forbidden
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
500Internal Server Error
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}

Secondary Transactions

Endpoints for managing secondary transaction actions (refund, repeat, capture, cancel, resume, add schedule) against a previously processed transaction

POST/acceptor/rest/transactions/{instId}/{transactionId}/addScheduleAdd a schedule#
description:

Adds a recurring payment schedule to a previously processed transaction

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryInstallation identifier
  • transactionId
    stringMandatoryIdentifier of the transaction the schedule is being added to
}
request body:
shared schema advancedPayments/schedule-definition-request
{
}

Responses

201Schedule added
response body:
shared schema advancedPayments/transaction-response-resource
{
  • any
    array (object items)
  • trace
    string
}
400Invalid request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
403Forbidden
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
500Internal Server Error
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
POST/acceptor/rest/transactions/{instId}/{transactionId}/cancelProcess a cancel#
description:

Cancels a previously processed transaction for the given installation

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryInstallation identifier
  • transactionId
    stringMandatoryIdentifier of the original transaction being cancelled
}
request body:
shared schema advancedPayments/detailed-secondary-manage-rest-request
{
}

Responses

201Cancel processed
response body:
shared schema advancedPayments/transaction-response-resource
{
  • any
    array (object items)
  • trace
    string
}
400Invalid request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
403Forbidden
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
500Internal Server Error
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
POST/acceptor/rest/transactions/{instId}/{transactionId}/captureProcess a capture#
description:

Captures (completes) a previously authorised transaction for the given installation

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryInstallation identifier
  • transactionId
    stringMandatoryIdentifier of the original transaction being captured
}
request body:
shared schema advancedPayments/detailed-secondary-manage-rest-request
{
}

Responses

201Capture processed
response body:
shared schema advancedPayments/transaction-response-resource
{
  • any
    array (object items)
  • trace
    string
}
400Invalid request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
403Forbidden
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
500Internal Server Error
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
POST/acceptor/rest/transactions/{instId}/{transactionId}/completeProcess a capture#
description:

Captures (completes) a previously authorised transaction for the given installation

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryInstallation identifier
  • transactionId
    stringMandatoryIdentifier of the original transaction being captured
}
request body:
shared schema advancedPayments/detailed-secondary-manage-rest-request
{
}

Responses

201Capture processed
response body:
shared schema advancedPayments/transaction-response-resource
{
  • any
    array (object items)
  • trace
    string
}
400Invalid request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
403Forbidden
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
500Internal Server Error
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
POST/acceptor/rest/transactions/{instId}/{transactionId}/refundProcess a refund#
description:

Refunds a previously processed transaction for the given installation

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryInstallation identifier
  • transactionId
    stringMandatoryIdentifier of the original transaction being refunded
}
request body:
shared schema advancedPayments/detailed-secondary-manage-rest-request
{
}

Responses

201Refund processed
response body:
shared schema advancedPayments/transaction-response-resource
{
  • any
    array (object items)
  • trace
    string
}
400Refund rejected
response body:
shared schema advancedPayments/transaction-response-resource
{
  • any
    array (object items)
  • trace
    string
}
401Unauthorized
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
403Forbidden
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
500Internal Server Error
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
POST/acceptor/rest/transactions/{instId}/{transactionId}/repeatProcess a repeat#
description:

Repeats a previously processed transaction for the given installation

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryInstallation identifier
  • transactionId
    stringMandatoryIdentifier of the original transaction being repeated
}
request body:
shared schema advancedPayments/detailed-secondary-manage-rest-request
{
}

Responses

201Repeat processed
response body:
shared schema advancedPayments/transaction-response-resource
{
  • any
    array (object items)
  • trace
    string
}
400Invalid request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
403Forbidden
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
500Internal Server Error
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
POST/acceptor/rest/transactions/{instId}/{transactionId}/resumeProcess a resume#
description:

Resumes a previously suspended transaction for the given installation

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryInstallation identifier
  • transactionId
    stringMandatoryIdentifier of the original transaction being resumed
}
request body:
shared schema advancedPayments/resume-secondary-manage-rest-request
{
}

Responses

201Resume processed
response body:
shared schema advancedPayments/transaction-response-resource
{
  • any
    array (object items)
  • trace
    string
}
207Resumed transaction declined
response body:
shared schema advancedPayments/transaction-response-resource
{
  • any
    array (object items)
  • trace
    string
}
400Invalid request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
403Forbidden
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
500Internal Server Error
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}

Hosted sessions

Endpoints for hosted-flow session lifecycle

POST/hosted/rest/sessions/{instId}/{sessionId}/invalidateInvalidate hosted session#
description:

Invalidates an existing hosted session.

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryThe ID of the installation the session was initialised on
  • sessionId
    stringMandatoryThe session ID
}
request body:

{} — This call takes no request body — send an empty JSON object.

Responses

200OK
response body:
shared schema advancedPayments/invalidate-hosted-session-response
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    stringReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    stringReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
400Bad Request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
403Forbidden
response body:
shared schema advancedPayments/hosted-initialisation-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
404Not Found
response body:
shared schema advancedPayments/get-hosted-session-status-response
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGoutcome of session retrieval request, SUCCESS or FAILED.
  • reasonCode
    stringReturnedMachine-readable code for why the request could not be fulfilled.
  • reasonMessage
    stringReturnedmessage describing session retrieval error.
}
415Unsupported Media Type
response body:
shared schema advancedPayments/outcome-response-detail
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors. In the case of a decline this message can be very general. There can be useful guidance to the cause of the decline in processing.authResponse.gatewayMessage.
}
500Internal Server Error
response body:
shared schema advancedPayments/hosted-initialisation-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
GET/hosted/rest/sessions/{instId}/{sessionId}/statusGet session status#
description:

Returns the current hosted session status.

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryThe installation id
  • sessionId
    stringMandatoryThe session id
}

Responses

200OK
response body:
shared schema advancedPayments/get-hosted-session-status-response
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGoutcome of session retrieval request, SUCCESS or FAILED.
  • reasonCode
    stringReturnedMachine-readable code for why the request could not be fulfilled.
  • reasonMessage
    stringReturnedmessage describing session retrieval error.
}
400Bad Request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
403Forbidden
response body:
shared schema advancedPayments/hosted-initialisation-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
404Not Found
response body:
shared schema advancedPayments/get-hosted-session-status-response
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGoutcome of session retrieval request, SUCCESS or FAILED.
  • reasonCode
    stringReturnedMachine-readable code for why the request could not be fulfilled.
  • reasonMessage
    stringReturnedmessage describing session retrieval error.
}
415Unsupported Media Type
response body:
shared schema advancedPayments/outcome-response-detail
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors. In the case of a decline this message can be very general. There can be useful guidance to the cause of the decline in processing.authResponse.gatewayMessage.
}
500Internal Server Error
response body:
shared schema advancedPayments/hosted-initialisation-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
GET/hosted/rest/sessions/{instId}/{sessionId}/transactionGet session transaction#
description:

Returns the transaction associated with a hosted session.

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryThe ID of the installation the session was initialised on
  • sessionId
    stringMandatoryThe session ID
}

Responses

200OK
response body:
shared schema advancedPayments/transaction-resource
{
  • locale
    string (≤ 255 chars)
  • sessionId
    string (≤ 255 chars)
}
400Bad Request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
403Forbidden
response body:
shared schema advancedPayments/hosted-initialisation-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
404Not Found
response body:
shared schema advancedPayments/get-hosted-session-status-response
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGoutcome of session retrieval request, SUCCESS or FAILED.
  • reasonCode
    stringReturnedMachine-readable code for why the request could not be fulfilled.
  • reasonMessage
    stringReturnedmessage describing session retrieval error.
}
415Unsupported Media Type
response body:
shared schema advancedPayments/outcome-response-detail
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors. In the case of a decline this message can be very general. There can be useful guidance to the cause of the decline in processing.authResponse.gatewayMessage.
}
500Internal Server Error
response body:
shared schema advancedPayments/hosted-initialisation-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
POST/hosted/rest/sessions/{instId}/cardsInitialise card management session#
description:

Creates a hosted card management session.

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryThe ID of the installation the session is to be initialised on
}
request body:
shared schema advancedPayments/initialise-hosted-card-management-rest-request
{
  • locale
    string
}

Responses

201Created
response body:
shared schema advancedPayments/initialise-hosted-card-management-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
400Bad Request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
403Forbidden
response body:
shared schema advancedPayments/hosted-initialisation-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
404Not Found
response body:
shared schema advancedPayments/get-hosted-session-status-response
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGoutcome of session retrieval request, SUCCESS or FAILED.
  • reasonCode
    stringReturnedMachine-readable code for why the request could not be fulfilled.
  • reasonMessage
    stringReturnedmessage describing session retrieval error.
}
415Unsupported Media Type
response body:
shared schema advancedPayments/outcome-response-detail
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors. In the case of a decline this message can be very general. There can be useful guidance to the cause of the decline in processing.authResponse.gatewayMessage.
}
500Internal Server Error
response body:
shared schema advancedPayments/hosted-initialisation-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
POST/hosted/rest/sessions/{instId}/paymentsInitialise payment session#
description:

Creates a hosted payment session for the supplied installation.

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryThe installation id
}
request body:
shared schema advancedPayments/initialise-hosted-payment-rest-request
{
  • locale
    stringThe ISO-639-1 code for your Customer's locale.
}

Responses

201Created
response body:
shared schema advancedPayments/initialise-hosted-payment-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
400Bad Request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
403Forbidden
response body:
shared schema advancedPayments/hosted-initialisation-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
404Not Found
response body:
shared schema advancedPayments/get-hosted-session-status-response
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGoutcome of session retrieval request, SUCCESS or FAILED.
  • reasonCode
    stringReturnedMachine-readable code for why the request could not be fulfilled.
  • reasonMessage
    stringReturnedmessage describing session retrieval error.
}
415Unsupported Media Type
response body:
shared schema advancedPayments/outcome-response-detail
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors. In the case of a decline this message can be very general. There can be useful guidance to the cause of the decline in processing.authResponse.gatewayMessage.
}
500Internal Server Error
response body:
shared schema advancedPayments/hosted-initialisation-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
POST/hosted/rest/sessions/{instId}/payoutsInitialise payout session#
description:

Creates a hosted payout session for the supplied installation.

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryThe installation id
}
request body:
shared schema advancedPayments/initialise-hosted-payout-rest-request
{
  • locale
    stringThe ISO-639 code for your Customer's locale.
}

Responses

201Created
response body:
shared schema advancedPayments/initialise-hosted-payout-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation. Possible values: SUCCESS, FAILED.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
400Bad Request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
403Forbidden
response body:
shared schema advancedPayments/hosted-initialisation-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
404Not Found
response body:
shared schema advancedPayments/get-hosted-session-status-response
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGoutcome of session retrieval request, SUCCESS or FAILED.
  • reasonCode
    stringReturnedMachine-readable code for why the request could not be fulfilled.
  • reasonMessage
    stringReturnedmessage describing session retrieval error.
}
415Unsupported Media Type
response body:
shared schema advancedPayments/outcome-response-detail
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors. In the case of a decline this message can be very general. There can be useful guidance to the cause of the decline in processing.authResponse.gatewayMessage.
}
500Internal Server Error
response body:
shared schema advancedPayments/hosted-initialisation-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
POST/hosted/rest/sessions/{instId}/sessions/{sessionId}/resumeResume hosted session#
description:

Resumes an existing hosted session.

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryThe ID of the installation the session was initialised on
  • sessionId
    stringMandatoryThe session ID
}
request body:

{} — This call takes no request body — send an empty JSON object.

Responses

201Created
response body:
shared schema advancedPayments/resume-hosted-session-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
400Bad Request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
403Forbidden
response body:
shared schema advancedPayments/hosted-initialisation-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
404Not Found
response body:
shared schema advancedPayments/get-hosted-session-status-response
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGoutcome of session retrieval request, SUCCESS or FAILED.
  • reasonCode
    stringReturnedMachine-readable code for why the request could not be fulfilled.
  • reasonMessage
    stringReturnedmessage describing session retrieval error.
}
415Unsupported Media Type
response body:
shared schema advancedPayments/outcome-response-detail
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors. In the case of a decline this message can be very general. There can be useful guidance to the cause of the decline in processing.authResponse.gatewayMessage.
}
500Internal Server Error
response body:
shared schema advancedPayments/hosted-initialisation-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
POST/hosted/rest/sessions/{instId}/validatePayoutValidate payout request#
description:

Validates a hosted payout request payload without creating a session.

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryThe installation ID
}
request body:
shared schema advancedPayments/initialise-hosted-payout-rest-request
{
  • locale
    stringThe ISO-639 code for your Customer's locale.
}

Responses

200OK
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
400Bad Request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
403Forbidden
response body:
shared schema advancedPayments/hosted-initialisation-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
404Not Found
response body:
shared schema advancedPayments/get-hosted-session-status-response
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGoutcome of session retrieval request, SUCCESS or FAILED.
  • reasonCode
    stringReturnedMachine-readable code for why the request could not be fulfilled.
  • reasonMessage
    stringReturnedmessage describing session retrieval error.
}
415Unsupported Media Type
response body:
shared schema advancedPayments/outcome-response-detail
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors. In the case of a decline this message can be very general. There can be useful guidance to the cause of the decline in processing.authResponse.gatewayMessage.
}
500Internal Server Error
response body:
shared schema advancedPayments/hosted-initialisation-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
POST/hosted/rest/sessions/{instId}/verifyInitialise verification session#
description:

Creates a hosted account verification session.

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryThe ID of the installation the session is to be initialised on
}
request body:
shared schema advancedPayments/initialise-hosted-verification-rest-request
{
  • locale
    string
}

Responses

201Created
response body:
shared schema advancedPayments/initialise-hosted-verification-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
400Bad Request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
403Forbidden
response body:
shared schema advancedPayments/hosted-initialisation-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
404Not Found
response body:
shared schema advancedPayments/get-hosted-session-status-response
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGoutcome of session retrieval request, SUCCESS or FAILED.
  • reasonCode
    stringReturnedMachine-readable code for why the request could not be fulfilled.
  • reasonMessage
    stringReturnedmessage describing session retrieval error.
}
415Unsupported Media Type
response body:
shared schema advancedPayments/outcome-response-detail
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors. In the case of a decline this message can be very general. There can be useful guidance to the cause of the decline in processing.authResponse.gatewayMessage.
}
500Internal Server Error
response body:
shared schema advancedPayments/hosted-initialisation-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
POST/hosted/rest/sessions/validatePaymentValidate payment request#
description:

Validates a hosted payment request payload without creating a session.

authorization:HTTP Basic
content-type: application/json
request body:
shared schema advancedPayments/initialise-hosted-payment-rest-request
{
  • locale
    stringThe ISO-639-1 code for your Customer's locale.
}

Responses

200OK
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
400Bad Request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
403Forbidden
response body:
shared schema advancedPayments/hosted-initialisation-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
404Not Found
response body:
shared schema advancedPayments/get-hosted-session-status-response
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGoutcome of session retrieval request, SUCCESS or FAILED.
  • reasonCode
    stringReturnedMachine-readable code for why the request could not be fulfilled.
  • reasonMessage
    stringReturnedmessage describing session retrieval error.
}
415Unsupported Media Type
response body:
shared schema advancedPayments/outcome-response-detail
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors. In the case of a decline this message can be very general. There can be useful guidance to the cause of the decline in processing.authResponse.gatewayMessage.
}
500Internal Server Error
response body:
shared schema advancedPayments/hosted-initialisation-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}

Retrieving Transactions

Endpoints for checking service availability and retrieving transaction details for an installation

GET/acceptor/rest/transactions/{instId}/{transactionId}Get a transaction#
description:

Retrieves a single transaction by its identifier for the given installation

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryInstallation identifier
  • transactionId
    stringMandatoryTransaction identifier
}

Responses

200Transaction retrieved
response body:
shared schema advancedPayments/transaction-resource
{
  • locale
    string (≤ 255 chars)
  • sessionId
    string (≤ 255 chars)
}
400Invalid installation or transaction identifier
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
403Access denied
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
404Transaction not found
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
500Internal Server Error
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
GET/acceptor/rest/transactions/{instId}/byRefFind transactions by merchant reference#
description:

Retrieves transactions matching the supplied merchant reference for the given installation

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryInstallation identifier
}
query parameters:
{
  • merchantRef
    stringMandatoryMerchant reference to search for
}

Responses

200Transactions retrieved
response body:
shared schema advancedPayments/transaction-resource
[ {
  • locale
    string (≤ 255 chars)
  • sessionId
    string (≤ 255 chars)
} ]
400Invalid installation identifier or merchant reference
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
403Access denied
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
404No transactions found
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
500Internal Server Error
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}

Retrieving Customers & Payment Methods

Endpoints for retrieving customers and managing their saved payment methods for an installation

GET/acceptor/rest/customers/{instId}/{customerId}Get a customer#
description:

Retrieves a customer by platform customer identifier for the given installation

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryInstallation identifier
  • customerId
    stringMandatoryPlatform customer identifier
}

Responses

200Customer retrieved
response body:
shared schema advancedPayments/customer-resource
{
  • merchantRef
    string (≤ 255 chars)Your reference for the Customer.
  • id
    string (≤ 255 chars)Our ID for the Customer that is registered with us.
  • displayName
    string (≤ 255 chars)The Customer's name.
  • email
    string (≤ 255 chars)Email address for the Customer.
  • dob
    string (≤ 255 chars)Date of birth for the Customer.
  • dateOfBirth
    string (date)
  • telephone
    string (≤ 255 chars)Telephone number for the Customer.
  • defaultCurrency
    string (≤ 255 chars)The Customer's default currency.
}
400Invalid installation identifier or customer identifier
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
403Access denied
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
404Customer not found
response body:
shared schema advancedPayments/customer-resource
{
  • merchantRef
    string (≤ 255 chars)Your reference for the Customer.
  • id
    string (≤ 255 chars)Our ID for the Customer that is registered with us.
  • displayName
    string (≤ 255 chars)The Customer's name.
  • email
    string (≤ 255 chars)Email address for the Customer.
  • dob
    string (≤ 255 chars)Date of birth for the Customer.
  • dateOfBirth
    string (date)
  • telephone
    string (≤ 255 chars)Telephone number for the Customer.
  • defaultCurrency
    string (≤ 255 chars)The Customer's default currency.
}
500Internal Server Error
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
POST/acceptor/rest/customers/{instId}/{customerId}/paymentMethod/{token}/makeDefaultMake a payment method default#
description:

Marks the specified saved payment method as the default for the customer and installation

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryInstallation identifier
  • customerId
    stringMandatoryPlatform customer identifier
  • token
    stringMandatorySaved payment method token
}
request body:

{} — This call takes no request body — send an empty JSON object.

Responses

200Payment method marked as default
response body:
shared schema advancedPayments/payment-method-resource
{
  • paymentClass
    string (≤ 255 chars)ReturnedThe classification of payment method used. Eg. Card, Cash, PayPal.
  • isPrimary
    booleanIndicates if this was Customer's primary registered payment method.
}
400Invalid installation, customer, or payment method token
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
403Access denied
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
404Payment method not found
response body:
shared schema advancedPayments/payment-method-resource
{
  • paymentClass
    string (≤ 255 chars)ReturnedThe classification of payment method used. Eg. Card, Cash, PayPal.
  • isPrimary
    booleanIndicates if this was Customer's primary registered payment method.
}
500Internal Server Error
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
POST/acceptor/rest/customers/{instId}/{customerId}/paymentMethod/{token}/removeRemove a payment method#
description:

Removes the specified saved payment method for the customer and installation

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryInstallation identifier
  • customerId
    stringMandatoryPlatform customer identifier
  • token
    stringMandatorySaved payment method token
}
request body:

{} — This call takes no request body — send an empty JSON object.

Responses

200Payment method removed
400Invalid installation, customer, or payment method token
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
403Access denied
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
404Payment method not found
500Internal Server Error
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
GET/acceptor/rest/customers/{instId}/{customerId}/paymentMethodsList payment methods#
description:

Retrieves all saved payment methods for the specified customer and installation

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryInstallation identifier
  • customerId
    stringMandatoryPlatform customer identifier
}

Responses

200Payment methods retrieved
response body:
shared schema advancedPayments/payment-method-resource
[ {
  • paymentClass
    string (≤ 255 chars)ReturnedThe classification of payment method used. Eg. Card, Cash, PayPal.
  • isPrimary
    booleanIndicates if this was Customer's primary registered payment method.
} ]
400Invalid installation identifier or customer identifier
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
403Access denied
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
404Customer not found
response body:
shared schema advancedPayments/payment-method-resource
[ {
  • paymentClass
    string (≤ 255 chars)ReturnedThe classification of payment method used. Eg. Card, Cash, PayPal.
  • isPrimary
    booleanIndicates if this was Customer's primary registered payment method.
} ]
500Internal Server Error
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
GET/acceptor/rest/customers/{instId}/{customerId}/paymentMethods/{token}Get a payment method#
description:

Retrieves a saved payment method for the specified customer, token, and installation

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryInstallation identifier
  • customerId
    stringMandatoryPlatform customer identifier
  • token
    stringMandatorySaved payment method token
}

Responses

200Payment method retrieved
response body:
shared schema advancedPayments/payment-method-resource
{
  • paymentClass
    string (≤ 255 chars)ReturnedThe classification of payment method used. Eg. Card, Cash, PayPal.
  • isPrimary
    booleanIndicates if this was Customer's primary registered payment method.
}
400Invalid installation, customer, or payment method token
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
403Access denied
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
404Payment method not found
response body:
shared schema advancedPayments/payment-method-resource
{
  • paymentClass
    string (≤ 255 chars)ReturnedThe classification of payment method used. Eg. Card, Cash, PayPal.
  • isPrimary
    booleanIndicates if this was Customer's primary registered payment method.
}
500Internal Server Error
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
POST/acceptor/rest/customers/{instId}/{customerId}/paymentMethods/{token}/updateUpdate a payment method#
description:

Updates the saved payment method details for the specified customer, token, and installation

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryInstallation identifier
  • customerId
    stringMandatoryPlatform customer identifier
  • token
    stringMandatorySaved payment method token
}
request body:
shared schema advancedPayments/payment-method-update
{
  • isPrimary
    booleanIndicates if the card being used should become the Customer's default card.
}

Responses

200Payment method updated
response body:
shared schema advancedPayments/payment-method-resource
{
  • paymentClass
    string (≤ 255 chars)ReturnedThe classification of payment method used. Eg. Card, Cash, PayPal.
  • isPrimary
    booleanIndicates if this was Customer's primary registered payment method.
}
400Invalid installation, customer, token, or update request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
403Access denied
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
404Payment method not found
response body:
shared schema advancedPayments/payment-method-resource
{
  • paymentClass
    string (≤ 255 chars)ReturnedThe classification of payment method used. Eg. Card, Cash, PayPal.
  • isPrimary
    booleanIndicates if this was Customer's primary registered payment method.
}
500Internal Server Error
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
GET/acceptor/rest/customers/{instId}/byRefFind a customer by merchant reference#
description:

Retrieves a customer for the given installation using the supplied merchant reference

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryInstallation identifier
}
query parameters:
{
  • merchantRef
    stringMandatoryMerchant reference used to identify the customer
}

Responses

200Customer retrieved
response body:
shared schema advancedPayments/customer-resource
{
  • merchantRef
    string (≤ 255 chars)Your reference for the Customer.
  • id
    string (≤ 255 chars)Our ID for the Customer that is registered with us.
  • displayName
    string (≤ 255 chars)The Customer's name.
  • email
    string (≤ 255 chars)Email address for the Customer.
  • dob
    string (≤ 255 chars)Date of birth for the Customer.
  • dateOfBirth
    string (date)
  • telephone
    string (≤ 255 chars)Telephone number for the Customer.
  • defaultCurrency
    string (≤ 255 chars)The Customer's default currency.
}
400Invalid installation identifier or merchant reference
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
403Access denied
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
404Customer not found
response body:
shared schema advancedPayments/customer-resource
{
  • merchantRef
    string (≤ 255 chars)Your reference for the Customer.
  • id
    string (≤ 255 chars)Our ID for the Customer that is registered with us.
  • displayName
    string (≤ 255 chars)The Customer's name.
  • email
    string (≤ 255 chars)Email address for the Customer.
  • dob
    string (≤ 255 chars)Date of birth for the Customer.
  • dateOfBirth
    string (date)
  • telephone
    string (≤ 255 chars)Telephone number for the Customer.
  • defaultCurrency
    string (≤ 255 chars)The Customer's default currency.
}
500Internal Server Error
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}

Transaction Reporting

Endpoints for querying transaction data and the fields available to query on

GET/reporting/transactions/metadatareceive transactions metadata#
description:

Retrieve the fields available for reporting, together with the filters that can be applied to each of them.

authorization:HTTP Basic, using your Reporting API user and password
content-type: application/json

Responses

200OK
response body:
{
  • description
    stringDescription of current request
  • version
    stringVersion of current metadata
}
POST/reporting/transactions/searchreceive transactions#
description:

Run a report over your transaction data, returning the requested fields for the transactions that match your filters.

authorization:HTTP Basic, using your Reporting API user and password
content-type: application/json
request body:
{
  • limit
    integerThe number of maximum results returned
  • startFrom
    floatThe start from record number, defaults to the first record number
  • includeFieldNames
    booleanSpecify whether or not to include in the response the returned field names Default value is false If set to "true" in case of search response contains a list named "fieldNames" If set to "true" in case of export column names are present in the downloaded file
  • timezone
    stringPossibility to translate all dates specified on the request and response to a specific timezone offset from the UTC one, for example (+01:00, -01:45) - minimum value: -12:00, maximum value: +14:00 - when timezone set on request: - all values in response are transformed in this timezone - if datetime filter value present 1. when no timezone specified on filter value (which is in ISO format) apply timezone from request on filter value when searching in database E.g.: when "timezone" set to "+02:00" and filter value "2016-07-21T14:19:19" filter value is converted to "2016-07-21T14:19:19+02:00" and results are returned in "+02:00" timezone 2. when timezone present on filter value apply E.g.: when "timezone" set to "+02:00" and filter value "2016-07-21T14:19:19+03:00" filter value is not changed "2016-07-21T14:19:19+03:00" and results are returned in "+02:00" timezone 3. when relative datetime, relative date or relative time, timezone is not applied relative datetime is relative to the moment of the request in UTC E.g.: when "timezone" set to "+02:00" filter value is "[-2d][-5h]" current datetime in UTC is "2016-08-18T14:30:00" filter value is converted to "2016-08-16T09:30:00" and results are returned in "+02:00" timezone - when no timezone set: - values in response are returned in UTC E.g.: when no "timezone" specified on request and filter value "2016-07-21T14:19:19" filter value is converted to "2016-07-21T14:19:19+00:00" and results are returned in UTC(+00:00) timezone E.g.: when no "timezone" specified on request and filter value "2016-07-21T14:19:19-02:00" filter value is not changed "2016-07-21T14:19:19-02:00" and results are returned in UTC(+00:00) timezone
  • outputFormat
    stringPossible values: CSV, XLS, XLSXSpecify export type If not present data is retrieved as JSON
  • outputFileName
    stringPossibility to specify the name of the export file In case of export request and file name not specified it defaults to: "TransactionReport_" + date and UTC time + specific file extension for request output format (.csv, .xls, or .xlsx) When specified the file returned will have "outputFileName" + specific file extension (.csv, .xls, or .xlsx)
}

Responses

200OK
response body:
{
  • status
    stringStatus of the request
  • reasonCode
    stringError code in case of failier
  • reasonMessage
    stringError message in case of failier
  • resultsReturned
    floatNumber of result returned
  • resultsAvailable
    floatNumber of total result available
  • startFrom
    floatResults starting point
  • fieldNames
    array (string items)List of fields to be displayed
  • data
    array (array items)List of list of data equivalent of the fieldNames from the above
}

Endpoints for creating and managing Pay by Link URLs

POST/smartlink/links/{instId}/batch/paymentCreate batch of payment links#
description:

Creates a batch of payment smart links for the supplied installation.

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    integer (int64)MandatoryThe installation id
}
request body:
shared schema advancedPayments/smart-link-batch-request
{
  • locale
    stringThe ISO-639 code for your Customer's locale.
  • batchSize
    integer (int32)MandatoryNumber of links to create; between 1 and 500, inclusive
}

Responses

201Created
response body:
shared schema advancedPayments/smart-link-batch-response
{
  • status
    stringReturnedStatus of the request
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
400Bad Request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
403Forbidden
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
404Not Found
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
409Conflict
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
415Unsupported Media Type
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
500Internal Server Error
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
POST/smartlink/links/{instId}/batch/payoutCreate batch of payout links#
description:

Creates a batch of payout smart links for the supplied installation.

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    integer (int64)MandatoryThe installation id
}
request body:
shared schema advancedPayments/smart-link-batch-request
{
  • locale
    stringThe ISO-639 code for your Customer's locale.
  • batchSize
    integer (int32)MandatoryNumber of links to create; between 1 and 500, inclusive
}

Responses

201Created
response body:
shared schema advancedPayments/smart-link-batch-response
{
  • status
    stringReturnedStatus of the request
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
400Bad Request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
403Forbidden
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
404Not Found
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
409Conflict
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
415Unsupported Media Type
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
500Internal Server Error
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
POST/smartlink/links/{instId}/paymentCreate payment link#
description:

Creates a single payment smart link for the supplied installation.

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    integer (int64)MandatoryThe installation id
}
request body:
shared schema advancedPayments/smart-link-rest-request
{
  • locale
    stringThe ISO-639 code for your Customer's locale.
}

Responses

201Created
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
400Bad Request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
403Forbidden
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
404Not Found
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
409Conflict
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
415Unsupported Media Type
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
500Internal Server Error
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
POST/smartlink/links/{instId}/payoutCreate payout link#
description:

Creates a single payout smart link for the supplied installation.

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    integer (int64)MandatoryThe installation id
}
request body:
shared schema advancedPayments/smart-link-rest-request
{
  • locale
    stringThe ISO-639 code for your Customer's locale.
}

Responses

201Created
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
400Bad Request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
403Forbidden
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
404Not Found
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
409Conflict
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
415Unsupported Media Type
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
500Internal Server Error
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
POST/smartlink/links/{linkId}/activateActivate link#
description:

Activates the supplied smart link.

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • linkId
    stringMandatoryThe link id to be activated
}
request body:

{} — This call takes no request body — send an empty JSON object.

Responses

200OK
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
400Bad Request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
403Forbidden
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
404Not Found
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
409Conflict
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
415Unsupported Media Type
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
500Internal Server Error
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
POST/smartlink/links/{linkId}/cancelCancel link#
description:

Cancels the supplied smart link, releasing any hosted session it holds.

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • linkId
    stringMandatoryThe link id to be cancelled
}
request body:

{} — This call takes no request body — send an empty JSON object.

Responses

200OK
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
    stringReturnedA code that indicates a response message, it can be looked up for trouble shooting.
  • reasonMessage
    stringReturnedA description of the reason code.
}
400Bad Request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/smart-link-rest-response
{
  • status
    stringReturnedStatus of the request.
  • reasonCode
[...]
